package com.younike.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 店铺资质信息

对象 merchant_info
 * 
 * @author elev
 * @date 2022-01-05
 */
public class MerchantInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 商户ID */
    private Long merchantId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 最后登录IP */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /** 最后登录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最后登录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date loginDate;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;

    /** 营业执照号 */
    @Excel(name = "营业执照号")
    private String businessNum;

    /** 营业执照 */
    @Excel(name = "营业执照")
    private String businessImg;

    /** 营业许可证照 */
    @Excel(name = "营业许可证照")
    private String businessLicenseImg;

    /** 法人/个人身份证号 */
    @Excel(name = "法人/个人身份证号")
    private String legalPersonNo;

    /** 法定代表/个人手持身份证（正面） */
    @Excel(name = "法定代表/个人手持身份证", readConverterExp = "正=面")
    private String legalPersonFrontImg;

    /** 法定代表/个人手持身份证（反面） */
    @Excel(name = "法定代表/个人手持身份证", readConverterExp = "反=面")
    private String legalPersonBackImg;

    public void setMerchantId(Long merchantId) 
    {
        this.merchantId = merchantId;
    }

    public Long getMerchantId() 
    {
        return merchantId;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setLoginIp(String loginIp) 
    {
        this.loginIp = loginIp;
    }

    public String getLoginIp() 
    {
        return loginIp;
    }
    public void setLoginDate(Date loginDate) 
    {
        this.loginDate = loginDate;
    }

    public Date getLoginDate() 
    {
        return loginDate;
    }
    public void setColumn1(String column1) 
    {
        this.column1 = column1;
    }

    public String getColumn1() 
    {
        return column1;
    }
    public void setColumn2(String column2) 
    {
        this.column2 = column2;
    }

    public String getColumn2() 
    {
        return column2;
    }
    public void setColumn3(String column3) 
    {
        this.column3 = column3;
    }

    public String getColumn3() 
    {
        return column3;
    }
    public void setBusinessNum(String businessNum) 
    {
        this.businessNum = businessNum;
    }

    public String getBusinessNum() 
    {
        return businessNum;
    }
    public void setBusinessImg(String businessImg) 
    {
        this.businessImg = businessImg;
    }

    public String getBusinessImg() 
    {
        return businessImg;
    }
    public void setBusinessLicenseImg(String businessLicenseImg) 
    {
        this.businessLicenseImg = businessLicenseImg;
    }

    public String getBusinessLicenseImg() 
    {
        return businessLicenseImg;
    }
    public void setLegalPersonNo(String legalPersonNo) 
    {
        this.legalPersonNo = legalPersonNo;
    }

    public String getLegalPersonNo() 
    {
        return legalPersonNo;
    }
    public void setLegalPersonFrontImg(String legalPersonFrontImg) 
    {
        this.legalPersonFrontImg = legalPersonFrontImg;
    }

    public String getLegalPersonFrontImg() 
    {
        return legalPersonFrontImg;
    }
    public void setLegalPersonBackImg(String legalPersonBackImg) 
    {
        this.legalPersonBackImg = legalPersonBackImg;
    }

    public String getLegalPersonBackImg() 
    {
        return legalPersonBackImg;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("merchantId", getMerchantId())
            .append("delFlag", getDelFlag())
            .append("loginIp", getLoginIp())
            .append("loginDate", getLoginDate())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("column1", getColumn1())
            .append("column2", getColumn2())
            .append("column3", getColumn3())
            .append("businessNum", getBusinessNum())
            .append("businessImg", getBusinessImg())
            .append("businessLicenseImg", getBusinessLicenseImg())
            .append("legalPersonNo", getLegalPersonNo())
            .append("legalPersonFrontImg", getLegalPersonFrontImg())
            .append("legalPersonBackImg", getLegalPersonBackImg())
            .toString();
    }
}
